Skip to content

Your data / PVP tracker / Opponents

GET
https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-presets/:presetId

Gets an opponent preset, with its most recent team as latestTeam.

Parameters

  • seasonId (path): The season id.
  • presetId (path): The opponent preset id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
seasonId
presetId
curl https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-presets/:presetId \
  -H 'Authorization: Bearer {{api_key}}'
Response
{
  "data": {
    "id": "md72rqbddfd4jdhq9e32xxq62n8e81q1",
    "createdAt": "2026-09-12T18:28:33.292Z",
    "name": "ペロロ推し",
    "latestTeam": [
      {
        "studentId": "iori"
      },
      {
        "studentId": "eimi"
      },
      {
        "studentId": "hoshino_battle_dealer"
      },
      {
        "studentId": "hoshino"
      },
      {
        "studentId": "michiru_dress"
      },
      {
        "studentId": "atsuko_swimsuit"
      }
    ],
    "opponentName": "ペロロ推し",
    "opponentStudentRepId": "hoshino",
    "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx"
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc